#### D.15.32.8 decomposeVecField

Procedure from library `VecField.lib` (see VecField_lib).

Usage:
  decomposeVecField(VecField V) or decomposeVecField(list s), s a list of VecFields

Return:
  list l containing two VecFields, where l[1] is the semisimple part of V, l[2] the nilpotent part. If called with a list, l[2n-1] is the semisimple part of the n-th VecField, l[2n] its nilpotent part.

Assume:
  The algorithm assumes standard coordinates. If V is not given in standard coordinates, it will be converted to standard coordinates, but not converted back at the end, so the resulting transformation is from standard coordinates to the new coordinates. If you want the entire transformation from your original coordinates to the new ones, add the inverse of your original coordinate transformation manually.

Example:

    LIB "VecField.lib";
    ring r = 0, (x, y, z),ds;
    vector v = [-1,-1,-1];
    VecField V = v;
    V.precision = 4;
    map phi = r, x-2y2+z3,2y+y3+z,z;
    VecField W = changeCoordinates(V,phi);
    list l = decomposeVecField(W);

User manual for Singular version 4.4.1, 2025, generated by texi2html.